Subject: Re: bug#34862: 27.0.50; Trying to update pinyin.map

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 07 Feb 2022 16:26:25 -0800

On 02/02/22 19:59 PM, Lars Ingebrigtsen wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
>>> I think this should be done with a script, and that script should be
>>> in our repository.  The easiest kind of a script is a Lisp program, of
>>> course, but we can also use other kinds, such as Awk scripts.
>>
>> Awk seems just right for the problem, but I haven't written much in it;
>> I did the original munging in elisp. Would this be a script written for
>> use with -batch and a custom make target?
>
> It's fine to parse the files with Lisp instead of awk (unless they're
> needed to boot Emacs, which I don't think is the case here).
>
> Did you get any further with this?

I guess I still didn't know if I should be writing the script as a part
of the make process or not...